Subject: Re: [idn] An ignorant question about TC<-> SC

From: [email-masked]
Date: Wed, 24 Oct 2001 01:34:10 EDT

In a message dated 2001-10-23 21:38:30 Pacific Daylight Time, 
[email-masked] writes:

>  ...
>  But, if Unicode incorporate new rule to NFC, it may affect the usage
>  of chinese characters in any of those countries who are sharing CJK
>  area.

If the goal is to get Unicode/10646 to endorse a mapping scheme between 
Traditional Chinese and Simplified Chinese, whether as part of a 
normalization form or otherwise, then that discussion belongs on the Unicode 
mailing list (to which I have cross-posted this message).

The banner for this cause needs to be carried by someone else other than me, 
who (a) thinks it is a good idea and (b) has the technical knowledge about 
CJK to support it.

-Doug Ewell
 Fullerton, California

> On Tue, Oct 23, 2001 at 11:43:29PM -0400, [email-masked] wrote:
>> In a message dated 2001-10-23 11:13:14 Pacific Daylight Time, 
[email-masked] 
>> writes:
>>
>>>  On the other hand, one problem is more severe
>>>  than in the Chinese case: in the general case, a Serbo-Croatian
>>>  string written in Cyrillic cannot be distinguished, on a
>>>  character string basis, from uses of Cyrillic for other languages
>>>  (e.g., Russian), which should not be mapped and, similarly, a
>>>  string written in Roman-based characters cannot be distinguished,
>>>  on a character string basis, from the Roman-based characters of
>>>  another language (English?) which, again, cannot be mapped.
>>
>> But this problem *does* exist in the Chinese case, because certain Han 
>> characters can also be used to write Japanese or (I've been told) Korean.  
In 
>> a Japanese or Korean context, it wouldn't make any sense to map the 
correct 
>> "traditional" Han character to a simplified "equivalent"; the simplified 
>> character is only equivalent if the language is Chinese.
>
>  Dear Doug Ewell,
>
>  Even though your statement is not wrong, more clarification is needed.
>  There are two types of simplified chinese characters. One type is 
>  traditional (oops) one and the other type is relatively new one.
>
>  First type of traditional simplified chinese characters was invented
>  over long period of time among four countries (China, Korea, Japan, 
Taiwan).
>  Some of them are common to all for countries, some of them are only
>  used in one of those countries. (Let's call it type I)
>
>  Second type of relatively new simplified chinese characters was invented
>  around 50 years ago (I am not sure) by the People Republic of China
>  government. (Let's call it type II)
>
>  In Korea, we do not use type II. For type I, even though we do not
>  decided any policy, but we may easily prevent disputes by registration
>  policy.
>
>  But, if Unicode incorporate new rule to NFC, it may affect the usage
>  of chinese characters in any of those countries who are sharing CJK
>  area.

---

From: Patrik Fältström <[email-masked]>
Date: Wed, 24 Oct 2001 07:58:50 +0200

--On 2001-10-24 01.34 -0400 [email-masked] wrote:

> normalization form or otherwise, then that discussion belongs on the
> Unicode  mailing list (to which I have cross-posted this message).

Correct, but Unicode Consortium have already made an explicit statement to
the IETF that they don't think such tables would be a good idea. So, the
chances of IETF being able to convince Unicode Consortium they should
create something they already made up their mind they will not do is what I
would call minimal.

But, you point out the correct process.

  paf